from django.shortcuts import render
from .models import *

import uuid

def getConfig(indice=None):
  # parm:
  #  indice: l'indice (una parola)
  # ritorna il valore/testo corrispondente.
  # solleva eccezione se non trova il valore

  if not indice:
    return None

  c = None
  try:
    c = Config.objects.get(indice=indice)
    print('getConfig',c.indice,': ',c.valore)
  except Config.DoesNotExist as dne:
    print('Indice errato, non trovato',indice)
    return None
  return c.valore

def getUuid():
  # ritorna un uuid a 32 bit in esadecimale.
  # principalmente per il cambio email.
  u = uuid.uuid1()
  return u.hex
